# Changelog

All notable changes to this project will be documented in this file.

## [0.1.3] - 2024-10-22

### 🐛 Bug Fixes

- *(deps)* Update module github.com/hashicorp/go-plugin to v1.6.2
- *(deps)* Update module gitlab.com/unboundsoftware/sloth/model to v0.1.2

### ⚙️ Miscellaneous Tasks

- Use custom release notes
- Add CHANGES.md and VERSION to .gitignore

## [0.1.2] - 2024-10-17

### 🐛 Bug Fixes

- *(deps)* Update module gitlab.com/unboundsoftware/sloth/model to v0.1.1

## [0.1.1] - 2024-10-16

### 🐛 Bug Fixes

- *(deps)* Update module github.com/stretchr/testify to v1.9.0
- *(deps)* Update module github.com/alecthomas/kong to v0.9.0
- *(deps)* Update module github.com/hashicorp/go-hclog to v1.6.3
- *(deps)* Update module github.com/hashicorp/go-plugin to v1.6.1
- *(deps)* Update module github.com/sparetimecoders/goamqp to v0.3.1
- *(deps)* Update module github.com/alecthomas/kong to v1
- *(deps)* Update module github.com/alecthomas/kong to v1.2.0
- *(deps)* Update module github.com/alecthomas/kong to v1.2.1

### 💼 Other

- *(deps)* Bump github.com/alecthomas/kong from 0.8.0 to 0.8.1
- *(deps)* Bump github.com/hashicorp/go-plugin from 1.5.2 to 1.6.0
- *(deps)* Bump github.com/hashicorp/go-hclog from 1.5.0 to 1.6.1
- *(deps)* Bump github.com/hashicorp/go-hclog from 1.6.1 to 1.6.2
- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.2.0 to 0.2.1
- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.2.1 to 0.3.0

### ⚙️ Miscellaneous Tasks

- Update goreleaser image version
- Add Unbound Release in tag-only mode

### 🛡️ Security

- *(deps)* [security] bump golang.org/x/net from 0.11.0 to 0.17.0
- *(deps)* [security] bump google.golang.org/grpc

## [0.1.0] - 2023-10-12

### 🚀 Features

- Move to hashicorp/go-plugin

### 💼 Other

- *(deps)* Bump github.com/google/go-cmp from 0.5.8 to 0.5.9
- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.1.1 to 0.1.2
- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.1.2 to 0.1.3
- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.1.3 to 0.1.4
- *(deps)* Bump github.com/sparetimecoders/goamqp from 0.1.4 to 0.1.5
- *(deps)* Bump github.com/google/go-cmp from 0.5.9 to 0.6.0

### ⚙️ Miscellaneous Tasks

- Add context
- Use Docker DinD version from variable
- Switch to manual rebases for Dependabot
- Update to Go 1.20
- Check goreleaser config and do a dry run

## [0.0.12] - 2022-07-07

### 🐛 Bug Fixes

- Use logger directly

### 💼 Other

- *(deps)* Bump gitlab.com/unboundsoftware/apex-mocks
- *(deps)* Bump gitlab.com/unboundsoftware/apex-mocks

### ⚙️ Miscellaneous Tasks

- Use latest goamqp module
- Upgrade goreleaser version

## [0.0.11] - 2022-05-27

### 🐛 Bug Fixes

- Remove use of reflect.TypeOf since it's deprecated

### 💼 Other

- Update to Go 1.18
- *(deps)* Bump github.com/google/go-cmp from 0.5.7 to 0.5.8
- *(deps)* Bump github.com/sanity-io/litter from 1.5.4 to 1.5.5
- *(deps)* Bump gitlab.com/sparetimecoders/goamqp from 0.4.0 to 0.5.0

## [0.0.10] - 2022-02-11

### 💼 Other

- Upgrade uuid

### ⚙️ Miscellaneous Tasks

- Add dependabot config
- Change to codecov binary instead of bash uploader

## [0.0.9] - 2021-07-22

### ⚙️ Miscellaneous Tasks

- Add close listener to source and sink
- Update to latest version of goreleaser

## [0.0.8] - 2021-04-01

### ⚙️ Miscellaneous Tasks

- Upgrade goreleaser to fix Gitlab upload issue

## [0.0.7] - 2021-03-05

### 🐛 Bug Fixes

- Handle delay-until as various int-types as well as time.Time

### ⚙️ Miscellaneous Tasks

- Add logger to Start-calls for both Source and Sink

## [0.0.6] - 2021-03-02

### 🐛 Bug Fixes

- Ignore coverage-files

### ⚙️ Miscellaneous Tasks

- Add tests
- Set fixed version of goreleaser

## [0.0.5] - 2021-01-21

### ⚙️ Miscellaneous Tasks

- Upgrade to latest version of goamqp

## [0.0.4] - 2021-01-14

### ⚙️ Miscellaneous Tasks

- Remove unneeded variable

## [0.0.3] - 2021-01-14

### 🐛 Bug Fixes

- Enable CGO

## [0.0.2] - 2021-01-13

### ⚙️ Miscellaneous Tasks

- Updated API, deps and added logging

## [0.0.1] - 2021-01-13

### 🚀 Features

- Initial commit

### 🐛 Bug Fixes

- Use correct version of model
- Add main-func

### ⚙️ Miscellaneous Tasks

- Add goreleaser

<!-- generated by git-cliff -->
